Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.interceptor
Class AbstractAttributedInterceptorProvider

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.Object>
              org.apache.cxf.interceptor.AbstractAttributedInterceptorProvider

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>, InterceptorProvider

Direct Known Subclasses:
  PolicyInterceptorProviderImpl

    public abstract class AbstractAttributedInterceptorProvider

extends java.util.HashMap<java.lang.String,java.lang.Object>
implements InterceptorProvider

See Also:
  Serialized Form

Constructor Summary
`AbstractAttributedInterceptorProvider()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.util.List<Interceptor>` | `getInFaultInterceptors()` Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
`java.util.List<Interceptor>` | `getInInterceptors()` Returns the list of interceptors attached to the incoming interceptor chain of the object.
`java.util.List<Interceptor>` | `getOutFaultInterceptors()` Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
`java.util.List<Interceptor>` | `getOutInterceptors()` Returns the list of interceptors attached to the outgoing interceptor chain of the object.
`int` | `hashCode()`
`void` | `setInFaultInterceptors(java.util.List<Interceptor> interceptors)`
`void` | `setInInterceptors(java.util.List<Interceptor> interceptors)`
`void` | `setOutFaultInterceptors(java.util.List<Interceptor> interceptors)`
`void` | `setOutInterceptors(java.util.List<Interceptor> interceptors)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractAttributedInterceptorProvider

    public AbstractAttributedInterceptorProvider()

Method Detail

### getOutFaultInterceptors

    public java.util.List<Interceptor> getOutFaultInterceptors()

  Description copied from interface: `InterceptorProvider`
  Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.

  Specified by:
    `getOutFaultInterceptors` in interface `InterceptorProvider`
  Returns:
    `List` outgoing fault interceptor chain

### getInFaultInterceptors

    public java.util.List<Interceptor> getInFaultInterceptors()

  Description copied from interface: `InterceptorProvider`
  Returns the list of interceptors attached to the incoming fault interceptor chain of the object.

  Specified by:
    `getInFaultInterceptors` in interface `InterceptorProvider`
  Returns:
    `List` incoming fault interceptor chain

### getInInterceptors

    public java.util.List<Interceptor> getInInterceptors()

  Description copied from interface: `InterceptorProvider`
  Returns the list of interceptors attached to the incoming interceptor chain of the object.

  Specified by:
    `getInInterceptors` in interface `InterceptorProvider`
  Returns:
    `List` incoming interceptor chain

### getOutInterceptors

    public java.util.List<Interceptor> getOutInterceptors()

  Description copied from interface: `InterceptorProvider`
  Returns the list of interceptors attached to the outgoing interceptor chain of the object.

  Specified by:
    `getOutInterceptors` in interface `InterceptorProvider`
  Returns:
    `List` outgoing interceptor chain

### setInInterceptors

    public void setInInterceptors(java.util.List<Interceptor> interceptors)

### setInFaultInterceptors

    public void setInFaultInterceptors(java.util.List<Interceptor> interceptors)

### setOutInterceptors

    public void setOutInterceptors(java.util.List<Interceptor> interceptors)

### setOutFaultInterceptors

    public void setOutFaultInterceptors(java.util.List<Interceptor> interceptors)

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `equals` in class `java.util.AbstractMap<java.lang.String,java.lang.Object>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `hashCode` in class `java.util.AbstractMap<java.lang.String,java.lang.Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF